Items - Get Operations Agent Definition
Returns the specified OperationsAgent public definition.
Note
OperationsAgent item is currently in Preview (learn more).
This API supports long running operations (LRO).
When you get a OperationsAgent's public definition, the sensitivity label is not a part of the definition.
Permissions
The caller must have read and write permissions for the OperationsAgent.
Required Delegated Scopes
Item.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | No |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/operationsAgents/{operationsAgentId}/getDefinition
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/operationsAgents/{operationsAgentId}/getDefinition?format=OperationsAgentV1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
operations
|
path | True |
string (uuid) |
The OperationsAgent ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
|
format
|
query |
The format of the OperationsAgent public definition. Additional |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 202 Accepted |
Request accepted. Retrieving the definition is in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a OperationsAgent public definition example
Sample request
POST https://api.fabric.microsoft.com/v1/workspaces/6e335e92-a2a2-4b5a-970a-bd6a89fbb765/operationsAgents/cfafbeb1-8037-4d0c-896e-a46fb27ff229/getDefinition?format=OperationsAgentV1
Sample response
{
"definition": {
"parts": [
{
"path": "OperationsAgentV1.json",
"payload": "ew0KICAiZXhlY3V0YW..OWRmNDhhY2ZmZTgifQ",
"payloadType": "InlineBase64"
},
{
"path": ".platform",
"payload": "ZG90UGxhdGZvcm1CYXNlNjRTdHJpbmc=",
"payloadType": "InlineBase64"
}
]
}
}
Location: https://api.fabric.microsoft.com/v1/operations/431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
x-ms-operation-id: 431e8d7b-4a95-4c02-8ccd-6faef5ba1bd7
Retry-After: 30
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Operations |
The format of the item definition. Additional |
|
Operations |
OperationsAgent public definition response. |
|
Operations |
OperationsAgent public definition object. Refer to this article for more details on the structure of the OperationsAgent definition. |
|
Operations |
OperationsAgent definition part object. |
|
Payload |
The type of the definition part payload. Additional payload types may be added over time. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
OperationsAgentDefinitionFormat
The format of the item definition. Additional format types may be added over time.
| Value | Description |
|---|---|
| OperationsAgentV1 |
The V1 JSON format for the OperationsAgent public definition, specifically designed to support CI/CD scenarios in Fabric. See OperationsAgent - OperationsAgentV1 specification for more details. |
OperationsAgentDefinitionResponse
OperationsAgent public definition response.
| Name | Type | Description |
|---|---|---|
| definition |
OperationsAgent public definition object. Refer to this article for more details on the structure of the OperationsAgent definition. |
OperationsAgentPublicDefinition
OperationsAgent public definition object. Refer to this article for more details on the structure of the OperationsAgent definition.
| Name | Type | Description |
|---|---|---|
| format |
The format of the item definition. Additional |
|
| parts |
A list of definition parts. |
OperationsAgentPublicDefinitionPart
OperationsAgent definition part object.
| Name | Type | Description |
|---|---|---|
| path |
string |
The OperationsAgent public definition part path. |
| payload |
string |
The OperationsAgent public definition part payload. |
| payloadType |
The payload type. |
PayloadType
The type of the definition part payload. Additional payload types may be added over time.
| Value | Description |
|---|---|
| InlineBase64 |
Inline Base 64. |